import 'package:apk_update/core/common/version_info.dart';

import '../../../utils/connectivity_util.dart';
import '../../../utils/toast_util.dart';

/// 版本检测接口
abstract class VersionService {
  /// 版本检测
  Future<VersionInfo?> _checkVersion() async {
    // 判断网络是否连接
    var resList = await connectivity.checkConnectivity();

    if (resList.isNotEmpty && resList[0] == ConnectivityResult.none) {
      ToastUtil.showToast("网络异常,请检查网络");
      return null;
    }
    return await checkVersion();
  }

  Future<VersionInfo?> checkVersion();
}
